/* LatVis
 * Copyright (C) 2002 Jan Outrata <outrataj@phoenix.inf.upol.cz>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

// class of the file saver

#ifndef __FILE_SAVER_H__
#define __FILE_SAVER_H__

#include "orderedsets.h"
#include <string>

class FileSaver {
 public:
  enum type_t {NOTYPE, XML, MetaPost, PostScript};
  enum error_t {EOK, ETYPE, EACCESS, ESAVE};
 protected:
  OrderedSet *orderedset;

  bool saveToXML(string filename);
  // saves the set to the XML file filename
  // returns: if successful (not)
  bool saveToMetaPost(string filename);
  // saves the set to the MetaPost file filename
  // returns: if successful (not)
  bool saveToPostScript(string filename);
  // saves the set to the Encapsulated PostScript file filename
  // returns: if successful (not)
 public:
  FileSaver(OrderedSet *os);
  ~FileSaver() {}
  error_t save(string filename, type_t type);
  // saves the set to the file filename, type type
  // returns: if successful (not)
};

#endif
