/* LatVis
 * Copyright (C) 2002 Jan Outrata <outrataj@phoenix.inf.upol.cz>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include "appbuttons.h"
#include "i18n.h"
#include <qlayout.h>
#include <qpushbutton.h>
#include <stdio.h>

AppButtons::AppButtons(QWidget *parent)
  : QWidget(parent)
{
  QGridLayout *table;
  char i;

  button = SELECT;
  button_count = 8;
  buttons = new QPushButton * [button_count];
  buttons[0] = new QPushButton(QString::fromLocal8Bit(_("Select")), this);
  connect(buttons[0], SIGNAL(toggled(bool)), this, SLOT(selectButton0()));
  buttons[1] = new QPushButton(QString::fromLocal8Bit(_("New")), this);
  connect(buttons[1], SIGNAL(toggled(bool)), this, SLOT(selectButton1()));
  buttons[2] = new QPushButton(QString::fromLocal8Bit(_("Remove")), this);
  connect(buttons[2], SIGNAL(toggled(bool)), this, SLOT(selectButton2()));
  buttons[3] = 
    new QPushButton(QString::fromLocal8Bit(_("Define cover")), this);
  connect(buttons[3], SIGNAL(toggled(bool)), this, SLOT(selectButton3()));
  buttons[4] = 
    new QPushButton(QString::fromLocal8Bit(_("Remove cover")), this);
  connect(buttons[4], SIGNAL(toggled(bool)), this, SLOT(selectButton4()));
  buttons[5] = new QPushButton(QString::fromLocal8Bit(_("Mark lower")), this);
  connect(buttons[5], SIGNAL(toggled(bool)), this, SLOT(selectButton5()));
  buttons[6] = new QPushButton(QString::fromLocal8Bit(_("Mark upper")), this);
  connect(buttons[6], SIGNAL(toggled(bool)), this, SLOT(selectButton6()));
  buttons[7] = new QPushButton(QString::fromLocal8Bit(_("Mark paths")), this);
  connect(buttons[7], SIGNAL(toggled(bool)), this, SLOT(selectButton7()));
  for (i = 0; i < button_count; i++) {
    // buttons may grow
    buttons[i]->setSizePolicy(QSizePolicy(QSizePolicy::Minimum, 
					  QSizePolicy::Minimum));
    buttons[i]->setToggleButton(true);
    buttons[i]->show();
  }
  // on
  buttons[0]->setOn(true);
  table = new QGridLayout(this, 5, 2);
  table->addWidget(buttons[0], 0, 0);
  table->addWidget(buttons[1], 1, 0);
  table->addWidget(buttons[2], 1, 1);
  table->addWidget(buttons[3], 2, 0);
  table->addWidget(buttons[4], 2, 1);
  table->addWidget(buttons[5], 3, 0);
  table->addWidget(buttons[6], 3, 1);
  table->addWidget(buttons[7], 4, 0);
  show();
}
  
void
AppButtons::selectButton(button_t b)
{
  char but = button;
  
  if (button == -1) return;
  button = -1;
  if (but != b) buttons[but]->setOn(false);
  buttons[b]->setOn(true);
  button = b;
}
